Update Plan Details
curl --request PATCH \
--url https://api.payaza.africa/live/subscription/api/v1/subscription-plans/{planCode} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Pro Monthly Plus",
"description": "Updated monthly subscription",
"trialPeriodDays": 7,
"billingLimit": 24
}
'import requests
url = "https://api.payaza.africa/live/subscription/api/v1/subscription-plans/{planCode}"
payload = {
"name": "Pro Monthly Plus",
"description": "Updated monthly subscription",
"trialPeriodDays": 7,
"billingLimit": 24
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Pro Monthly Plus',
description: 'Updated monthly subscription',
trialPeriodDays: 7,
billingLimit: 24
})
};
fetch('https://api.payaza.africa/live/subscription/api/v1/subscription-plans/{planCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Plan updated",
"data": {
"id": 34,
"name": "The FIRST Day",
"description": "Superior marketing",
"amount": 800,
"currency": "NGN",
"interval": "MONTHLY",
"intervalCount": 1,
"trialPeriodDays": 5,
"billingLimit": 2,
"status": "ACTIVE",
"planCode": "PLN_DD41251",
"billingDaysOfWeek": null,
"metadata": null,
"createdAt": "2026-07-08T16:42:53.051861",
"updatedAt": "2026-07-08T17:25:31.342977889"
}
}Subscription Plans
Update Plan Details
This endpoint updates the editable properties of an existing subscription plan, including its name, description, trial period, and billing limit.
PATCH
/
subscription
/
api
/
v1
/
subscription-plans
/
{planCode}
Update Plan Details
Authorizations
Payaza {{Public API Key in Base 64}}
Path Parameters
The unique identifier of the subscription plan.
Body
application/json
The updated name of the subscription plan.
Example:
"Pro Monthly Plus"
The updated description of the plan.
Example:
"Updated monthly subscription"
The updated trial period in days.
Example:
7
The updated maximum number of billing cycles.
Example:
24
Response
200 - application/json
Subscription plan details updated successfully
⌘I